function VOL=SelectAndShowStack(VOL,pathToImages)
    if nargin<1 || isempty(VOL)
        VOL=VolViewer(0);
    end
    if nargin<2
        temppathToImages=get(VOL,'pathToImages');
        if exist(temppathToImages{1})==7
            pathToImages=temppathToImages{1};
        else
            [FileName,pathToImages,FilterIndex] = uigetfile('*.png','Select image from stack');
        end
    end
    VO=VolViewer(1,'D:\VolViewer_x64','D:\VolViewer_x64');
    VOL=imshowVOL(VOL, 'PathToImages',pathToImages); % by default displays whole stack, i.e. all images in directory
    VOL=imshowVOL(VOL, 'PathToImages',pathToImages,'msrFilename','1554_T1_Shape.msr');% assumes msr file in images directory
end